Bug 1560865 - Octavia api log are being spammed with INFO message every 2 seconds
Summary: Octavia api log are being spammed with INFO message every 2 seconds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-octavia
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 13.0 (Queens)
Assignee: Nir Magnezi
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On:
Blocks: 1433523
TreeView+ depends on / blocked
 
Reported: 2018-03-27 07:15 UTC by Alexander Stafeyev
Modified: 2019-09-10 14:12 UTC (History)
7 users (show)

Fixed In Version: openstack-octavia-2.0.1-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:48:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack Storyboard 2001743 None None None 2018-03-27 07:15:30 UTC
OpenStack gerrit 557168 None stable/queens: MERGED octavia: Fix logging level for keystone auth bypass (I68a6b66ddb2bf184528f11e73f411e0301f162e7) 2018-04-18 02:13:47 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:49:42 UTC

Description Alexander Stafeyev 2018-03-27 07:15:03 UTC
Description of problem:
The octavia api log show info message every 2 seconds regardless of any octavia activity . 

[root@controller-0 ~]# tailf /var/log/containers/octavia/api.log
2018-03-27 07:11:09.455 1 WARNING keystonemiddleware.auth_token [-] AuthToken middleware is set with keystone_authtoken.service_token_roles_required set to False. This is backwards compatible but deprecated behaviour. Please set this to True.
2018-03-27 07:11:09.460 1 INFO octavia.cmd.api [-] Starting API server on 172.17.1.23:9876
2018-03-27 07:11:10.676 1 INFO octavia.common.keystone [-] Request path is / and it does not require keystone authentication
2018-03-27 07:11:10.677 1 DEBUG octavia.common.policy [req-7d6e1af1-1b00-4c93-9871-27608b3a9290 - - - - -] Loading octavia policy object. get_enforcer /usr/lib/python2.7/site-packages/octavia/common/policy.py:33
2018-03-27 07:11:10.678 1 DEBUG oslo_policy.policy [req-7d6e1af1-1b00-4c93-9871-27608b3a9290 - - - - -] The policy file /etc/octavia/policy.json could not be found. load_rules /usr/lib/python2.7/site-packages/oslo_policy/policy.py:548
2018-03-27 07:11:12.686 1 INFO octavia.common.keystone [req-7d6e1af1-1b00-4c93-9871-27608b3a9290 - - - - -] Request path is / and it does not require keystone authentication
2018-03-27 07:11:14.692 1 INFO octavia.common.keystone [req-9f12114c-d1a3-4ad3-b815-b5ccba6cb02d - - - - -] Request path is / and it does not require keystone authentication
2018-03-27 07:11:16.699 1 INFO octavia.common.keystone [req-1204869b-0e5b-40e5-b3b2-96e42fac89e9 - - - - -] Request path is / and it does not require keystone authentication
2018-03-27 07:11:18.705 1 INFO octavia.common.keystone [req-75155212-25b2-4bed-8eda-521414d40028 - - - - -] Request path is / and it does not require keystone authentication
2018-03-27 07:11:20.710 1 INFO octavia.common.keystone [req-95cf865c-9fcd-41ef-9350-b2bdebdfb637 - - - - -] Request path is / and it does not require keystone authentication
2018-03-27 07:11:22.718 1 INFO octavia.common.keystone [req-814cf1dd-3ae5-475d-ba44-14a2ac0d4d37 - - - - -] Request path is / and it does not require keystone authentication
2018-03-27 07:11:24.727 1 INFO octavia.common.keystone [req-8d89804f-1f3a-4ad2-9a36-c6884694186d - - - - -] Request path is / and it does not require keystone authentication
2018-03-27 07:11:26.745 1 INFO octavia.common.keystone [req-24af2699-47e6-4bfe-9c9a-c2f41efbef91 - - - - -] Request path is / and it does not require keystone authentication
2018-03-27 07:11:28.752 1 INFO octavia.common.keystone [req-6acfcbfd-5ad2-460d-a1f6-eebc08f97013 - - - - -] Request path is / and it does not require keystone authentication
2018-03-27 07:11:30.762 1 INFO octavia.common.keystone [req-46624fb0-c96a-4742-96d1-16fb4819e5a5 - - - - -] Request path is / and it does not require keystone authentication


The log should be spammed with that info every 2 seconds.

Comment 1 Nir Magnezi 2018-04-02 08:51:13 UTC
Fix got merged to master.
Now being backported to upstream Queens.

Comment 2 Nir Magnezi 2018-04-02 21:14:20 UTC
Merged to upstream Queens.

Comment 10 errata-xmlrpc 2018-06-27 13:48:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.